package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcWljg;

/**
 * 网络监测Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcWljgService 
{
    /**
     * 查询网络监测
     * 
     * @param id 网络监测主键
     * @return 网络监测
     */
    public TcWljg selectTcWljgById(Long id);

    /**
     * 查询网络监测列表
     * 
     * @param tcWljg 网络监测
     * @return 网络监测集合
     */
    public List<TcWljg> selectTcWljgList(TcWljg tcWljg);

    /**
     * 新增网络监测
     * 
     * @param tcWljg 网络监测
     * @return 结果
     */
    public int insertTcWljg(TcWljg tcWljg);

    /**
     * 修改网络监测
     * 
     * @param tcWljg 网络监测
     * @return 结果
     */
    public int updateTcWljg(TcWljg tcWljg);

    /**
     * 批量删除网络监测
     * 
     * @param ids 需要删除的网络监测主键集合
     * @return 结果
     */
    public int deleteTcWljgByIds(Long[] ids);

    /**
     * 删除网络监测信息
     * 
     * @param id 网络监测主键
     * @return 结果
     */
    public int deleteTcWljgById(Long id);


    /**
     * 导入网络监测信息
     *
     * @return 结果
     */
    public String importUser(List<TcWljg> tcWljgList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
